Get a pending Google Profile selection
curl --request GET \
--url https://api.social-api.ai/v1/accounts/pending/{connection_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/accounts/pending/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/accounts/pending/{connection_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"connection_id": "<string>",
"expires_at": "2026-07-04T12:30:00Z",
"login_id": "<string>",
"lost_access": [
{
"brand_id": "<string>",
"brand_name": "<string>",
"name": "<string>",
"platform_page_id": "<string>"
}
],
"pages": [
{
"assignable": true,
"assigned_account_id": "<string>",
"assigned_brand_id": "<string>",
"assigned_brand_name": "<string>",
"category": "<string>",
"name": "Acme Bakery",
"picture_url": "<string>",
"platform_page_id": "17841400000000000"
}
],
"platform": "google",
"profiles": [
{
"bio": "Wood-fired pizza since 1998",
"display_name": "Joe's Pizza (Downtown)",
"platform_account_id": "accounts/123/locations/456",
"profile_picture_url": "",
"username": ""
}
]
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Accounts
Get a pending Google Profile selection
Returns the candidate Google Business Profiles for a pending connection created when a Google login manages more than one Profile. Choose one with the select endpoint.
GET
/
accounts
/
pending
/
{connection_id}
Get a pending Google Profile selection
curl --request GET \
--url https://api.social-api.ai/v1/accounts/pending/{connection_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/accounts/pending/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/accounts/pending/{connection_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"connection_id": "<string>",
"expires_at": "2026-07-04T12:30:00Z",
"login_id": "<string>",
"lost_access": [
{
"brand_id": "<string>",
"brand_name": "<string>",
"name": "<string>",
"platform_page_id": "<string>"
}
],
"pages": [
{
"assignable": true,
"assigned_account_id": "<string>",
"assigned_brand_id": "<string>",
"assigned_brand_name": "<string>",
"category": "<string>",
"name": "Acme Bakery",
"picture_url": "<string>",
"platform_page_id": "17841400000000000"
}
],
"platform": "google",
"profiles": [
{
"bio": "Wood-fired pizza since 1998",
"display_name": "Joe's Pizza (Downtown)",
"platform_account_id": "accounts/123/locations/456",
"profile_picture_url": "",
"username": ""
}
]
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Pending connection ID
Response
OK
Example:
"2026-07-04T12:30:00Z"
login_id identifies the login and is set for both Facebook and Google. pages and lost_access are Facebook page-selection only.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"google"
Show child attributes
Show child attributes